using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            int A, B, C;
            string red = Console.ReadLine();
            string[] a = red.Split(' ');
            A = int.Parse(a[0]);
            B = int.Parse(a[1]);
            C = int.Parse(a[2]);
            int A1 = A;
            int B1 = B;
            int C1 = C;
            int da, db, dc;
            da = 0;
            db = 0;
            dc = 0;
            while (A!=0)
            {
                A = A / 10;
                da++;
            }
            while (B!=0)
            {
                B = B / 10;
                db++;
            }
            while (C!=0)
            {
                C = C / 10;
                dc++;
            }
            double n1 = C1 * Math.Pow(10, da + db) + A1 * Math.Pow(10, db) + B1;
            double n2 = C1 * Math.Pow(10, da + db) + B1 * Math.Pow(10, da) + A1;
            double n3 = B1 * Math.Pow(10, da + dc) + A1 * Math.Pow(10, dc) + C1;
            double n4 = B1 * Math.Pow(10, da + dc) + C1 * Math.Pow(10, da) + A1;
            double n5 = A1 * Math.Pow(10, db + dc) + B1 * Math.Pow(10, dc) + C1;
            double n6 = A1 * Math.Pow(10, db + dc) + C1 * Math.Pow(10, db) + B1;
            double n = Math.Max(n1, Math.Max(n2, Math.Max(n3, Math.Max(n4, Math.Max(n5, n6)))));
            Console.WriteLine(n);
        }
    }
}